Index: src/main/java/com/wediscussmovies/project/service/GenreService.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/GenreService.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/service/GenreService.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -2,8 +2,10 @@
 
 import com.wediscussmovies.project.model.Genre;
+import org.springframework.stereotype.Service;
 
 import java.util.List;
 import java.util.Optional;
 
+@Service
 public interface GenreService {
     public List<Genre> findAll();
Index: src/main/java/com/wediscussmovies/project/service/MovieService.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/MovieService.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/service/MovieService.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -9,6 +9,6 @@
     public List<Movie> listAll();
     public List<Movie> searchByTitle(String title);
-    public Optional<Movie> findById(Integer id);
+    public Optional<Movie> findById(Long id);
     public Movie save(Movie movie);
-    public void deleteById(int id);
+    public void deleteById(Long id);
 }
Index: src/main/java/com/wediscussmovies/project/service/PersonService.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/PersonService.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/service/PersonService.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -7,6 +7,6 @@
 
 public interface PersonService {
-    public List<Person> findAllDirectors();
-    public List<Person> findAllActors();
+     List<Person> findAllDirectors();
+     List<Person> findAllActors();
     Optional<Person> findById(Integer person_id);
     Optional<Person> findActorById(Integer id);
Index: src/main/java/com/wediscussmovies/project/service/ReplyService.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/ReplyService.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/service/ReplyService.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -8,4 +8,5 @@
     public Reply save(Reply r);
     public void delete(Reply r);
-    Optional<Reply> findById(Integer id);
+    Optional<Reply> findById(Long id);
+
 }
Index: src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -24,5 +24,5 @@
     @Override
     public List<Genre> findAllByType(String genre) {
-        return genreRepository.findAllByGenre_typeLike(genre);
+        return genreRepository.findAllByGenre(genre);
     }
 
Index: src/main/java/com/wediscussmovies/project/service/impl/MovieServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/MovieServiceImpl.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/service/impl/MovieServiceImpl.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -23,6 +23,6 @@
 
     @Override
-    public Optional<Movie> findById(Integer id) {
-        return movieRepository.findById(id);
+    public Optional<Movie> findById(Long id) {
+        return movieRepository.findById(1);
     }
 
@@ -33,6 +33,6 @@
 
     @Override
-    public void deleteById(int id) {
-        movieRepository.deleteById(id);
+    public void deleteById(Long id) {
+        movieRepository.deleteById(0);
     }
 
Index: src/main/java/com/wediscussmovies/project/service/impl/PersonServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/PersonServiceImpl.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/service/impl/PersonServiceImpl.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -2,5 +2,5 @@
 
 import com.wediscussmovies.project.model.Person;
-import com.wediscussmovies.project.model.PersonType;
+import com.wediscussmovies.project.model.enumerations.PersonType;
 import com.wediscussmovies.project.repository.PersonRepository;
 import com.wediscussmovies.project.service.PersonService;
@@ -13,4 +13,5 @@
 public class PersonServiceImpl implements PersonService {
     private final PersonRepository personRepository;
+
 
     public PersonServiceImpl(PersonRepository personRepository) {
Index: src/main/java/com/wediscussmovies/project/service/impl/ReplyServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/ReplyServiceImpl.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/service/impl/ReplyServiceImpl.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -17,6 +17,6 @@
 
     @Override
-    public Optional<Reply> findById(Integer id) {
-        return replyRepository.findById(id);
+    public Optional<Reply> findById(Long id) {
+        return replyRepository.findById(1);
     }
 
